# Set-RASTunnelingPolicy.md

## NAME

Set-RASTunnelingPolicy

## SYNOPSIS

Modifies the tunneling policy.

## SYNTAX

**Set-RASTunnelingPolicy** \[[Id](#id-string)] *(uint)* \[[NewIP](#newip-string) *(string)*] \[-[PublishType](#PublishType) {AllRDSessionHostsInSite | RDSessionHostPool | RDSessionHosts | None}] \[-[RDSHostIds](#RDSHostIds) *(uint\[])*] \[-[RDSHostPoolIds](#RDSHostPoolIds) *(uint\[])*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASTunnelingPolicy \[\[-[InputObject](#inputobject)] *(*[*TunnelingPolicy*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/tunnelingpolicy.md)*)*] \[[NewIP](#newip-string) *(string)*] \[-[PublishType](#PublishType) {AllRDSessionHostsInSite | RDSessionHostPool | RDSessionHosts | None}] \[-[RDSHostIds](#RDSHostIds) *(uint\[])*] \[-[RDSHostPoolIds](#RDSHostPoolIds) *(uint\[])*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASTunnelingPolicy** \[\[-[IP](#ip-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[[NewIP](#newip-string) *(string)*] \[-[PublishType](#PublishType) {AllRDSessionHostsInSite | RDSessionHostPool | RDSessionHosts | None}] \[-[RDSHostIds](#RDSHostIds) *(uint\[])*] \[-[RDSHostPoolIds](#RDSHostPoolIds) *(uint\[])*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the tunneling policy.

## PARAMETERS

## SiteId (uint)

The site ID to which to modify the specified tunneling policy.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IP (string)

The tunneling policy gateway IP.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The tunneling policy ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([TunnelingPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/tunnelingpolicy.md))

The tunneling policy to modify.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## NewIP (string)

The gateway IP of the tunneling policy to modify.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PublishType

([RDSessionHostsType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdsessionhoststype.md)) Modify the description of the Windows Device Group.

Possible values: AllRDSessionHostsInSite, RDSessionHostPool, RDSessionHosts, None

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RDSHostPoolIds (uint\[])

The IDs of the selected RD session host pools.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RDSHostIds (uint\[])

The IDs of the selected individual RD session hosts.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[TunnelingPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/tunnelingpolicy.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASTunnelingPolicy -Id 1 -NewIP "1.2.3.4"

Modifies the gateway IP of the tunneling policy with Id 1.\
\*\*---------- EXAMPLE 2 ----------

Set-RASTunnelingPolicy $TunnelingPoliicy0 -NewIP "1.2.3.4"

Modifies the IP of the tunneling policy specified by the object obtained from the pipeline output.

## RELATED LINKS

* [New-RASTunnelingPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rastunnelingpolicy.md)
* [Get-RASTunnelingPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastunnelingpolicy.md)
* [Remove-RASTunnelingPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastunnelingpolicy.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastunnelingpolicy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
